QGIS Application - Bug report #12581
Styles for High-precision Raster Layers
2015-04-15 08:31 AM - Michael Treglia

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 20706
Description

When trying to use Singleband Pseudocolor rendering for a raster with very small-value, albeit high precision variables, applying the style
fails. I'll note that upon import of the data, the Singleband Gray render type works fine.

Through testing, it seems that the module only has 16 bit variables, however sometimes rasters are higher precision than that allows. The
particular raster | was working with was a kernel density surface (created in R), and the values were all extremely small (ranging 0 -
6.4773e-10). When applying a style, even after setting the value ranges for each color by hand, the entire surface appeared as a single
color.

Multiplying the layer by 1000000 solved this problem, but having built-in capability to deal with such high precision would be great. Thus,
it would be great to have higher-precision value-setting available for raster styles.

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

2024-03-20 1/1



http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

